RTEMS: Thread_Wait_information Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
Thread_Wait_information Struct Reference
Internal » SuperCore » Thread Handler

Information required to manage a thread while it is blocked. More...

`#include <thread.h>`

## Data Fields
uint32_t | count
void * | return_argument
Thread_Wait_information_Object_argument_type | return_argument_second
uint32_t | option
uint32_t | return_code
Thread_Wait_flags | flags
| This field contains several flags used to control the wait class and state of a thread in case fine-grained locking is used.
Thread_queue_Queue * | queue
| The current thread queue.
const Thread_queue_Operations * | operations
| The current thread queue operations.
Thread_queue_Heads * | spare_heads

## Detailed Description

Information required to manage a thread while it is blocked.

This contains the information required to manage a thread while it is blocked and to return information to it.

## Field Documentation

## ◆ count

uint32_t Thread_Wait_information::count

This field is used to return an integer while when blocked.

## ◆ operations

const Thread_queue_Operations* Thread_Wait_information::operations

The current thread queue operations.

This field is protected by the thread lock wait default lock.

See also
  _Thread_Wait_claim().

## ◆ option

uint32_t Thread_Wait_information::option

This field contains any options in effect on this blocking operation.

## ◆ queue

Thread_queue_Queue* Thread_Wait_information::queue

The current thread queue.

If this field is NULL the thread is not enqueued on a thread queue. This field is protected by the thread wait default lock.

See also
  _Thread_Wait_claim().

## ◆ return_argument

void* Thread_Wait_information::return_argument

This field is for a pointer to a user return argument.

## ◆ return_argument_second

Thread_Wait_information_Object_argument_type Thread_Wait_information::return_argument_second

This field is for a pointer to a second user return argument.

## ◆ return_code

uint32_t Thread_Wait_information::return_code

This field will contain the return status from a blocking operation.

Note
  The following assumes that all API return codes can be treated as an uint32_t.

The documentation for this struct was generated from the following file:

- cpukit/include/rtems/score/thread.h